Bug 131382 - The scope of function definitions (Calc or BASIC) is unclear
Summary: The scope of function definitions (Calc or BASIC) is unclear
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Macro-Documentation
  Show dependency treegraph
 
Reported: 2020-03-16 20:37 UTC by Mike Kaganski
Modified: 2020-04-29 13:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-03-16 20:37:37 UTC
Compare two help sections for WeekDay:

https://bit.ly/2vpJuTG
https://bit.ly/3d42lVp

(both lead to subpages of https://help.libreoffice.org/latest/en-US/), and try to tell which is about Calc function, and which about BASIC function.

The problem is, there's no clear marking that this is WEEKDAY *spreadsheet* function vs WeekDay BASIC function.

There are a number of coinciding function names between the two modules; and I suppose that all functions, even without counterparts, should be somehow made unambiguous (e.g., to not create an impression that it might be used in a module it doesn't belong to).

In fact, that creates actual confusion in users: see e.g. https://ask.libreoffice.org/en/question/233750/.
Comment 1 Mike Kaganski 2020-03-17 05:30:17 UTC
Also https://ask.libreoffice.org/en/question/233897/
Comment 2 Olivier Hallot 2020-03-18 22:27:05 UTC
Changing the names of any of the functions will have impact in all the literature and legacy spreadsheet and Basic code. The ambiguity exit since years and has been sorted out by users. The referred pages clearly shows spreadsheet examples for spreadsheet function and BASIC example for BASIC function.
Comment 3 Mike Kaganski 2020-03-19 04:44:25 UTC
(In reply to Olivier Hallot from comment #2)

I am sorry, there's some misunderstanding here! I never suggested to rename functions - only change heading of the articles; and even mentioned that IMO they should be something like

WeekDay BASIC function

and 

WeekDay spreadsheet function
Comment 4 Mike Kaganski 2020-03-19 04:47:18 UTC
And renaming the functions wouldn't solve anything even: one would still not easily see if one should use it in spreadsheet or in a macro.

Please re-consider! :-)
Comment 5 Mike Kaganski 2020-03-19 04:48:16 UTC
And then, if I suggested to rename functions, I'd not make it a "documentation" issue ;-P
Comment 6 Olivier Hallot 2020-03-23 19:10:36 UTC
Reopening

Suggested from IRC:

16:04:36 - mikekaganski: Possibly another note would be useful in same-named topics: "This is an article about Basic function. For same-named spreadsheet function, see here" (and in the opposite direction), to emphasize that they are *different*
Comment 7 Olivier Hallot 2020-03-23 22:04:09 UTC
Olivier Hallot from comment #6)
> Reopening
> 
> Suggested from IRC:
> 
> 16:04:36 - mikekaganski: Possibly another note would be useful in same-named
> topics: "This is an article about Basic function. For same-named spreadsheet
> function, see here" (and in the opposite direction), to emphasize that they
> are *different*

This suggestion will make no sense for languages that translate CALC function names.
Comment 8 Commit Notification 2020-04-29 13:00:54 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/698b678fff3ce1c596196a3ca6cf8b16c5d108e4

tdf#131382 scope of function (Calc or BASIC)